%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define dictdir %{_datadir}/cracklib
%define dictpath %{dictdir}/pw_dict

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	cracklib - a library used to enforce strong passwords
Name:      	cracklib
Version:   	2.8.17
Release:   	1
BuildArch: 	i686
License: 	Artistic
URL:		http://cracklib.sourceforge.net
Group:     	System/Base
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}-words-20080507.gz

Source10: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Domains.gz
Source11: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Dosref.gz
Source12: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Ftpsites.gz
Source13: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Jargon.gz
Source14: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/common-passwords.txt.gz
Source15: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/etc-hosts.gz
Source16: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Movies.gz
Source17: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Python.gz
Source18: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Trek.gz
Source19: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/LCarrol.gz
Source20: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/Paradise.Lost.gz
Source21: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/cartoon.gz
Source22: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/myths-legends.gz
Source23: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/sf.gz
Source24: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/shakespeare.gz
Source25: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/ASSurnames.gz
Source26: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Congress.gz
Source27: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Family-Names.gz
Source28: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Given-Names.gz
Source29: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/famous.gz
Source30: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/fast-names.gz
Source31: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/female-names.gz
Source32: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/male-names.gz
Source33: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.french.gz
Source34: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.hp.gz
Source35: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/other-names.gz
Source36: 	ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/surnames.finnish.gz
Source37: 	pass_file.gz

Patch0: 	cracklib-2.8.10-suffix.patch
Patch1: 	cracklib-2.8.12-inttypes.patch
Patch2: 	cracklib-2.8.10-docstring.patch


BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics, with the purpose of stopping users
from choosing passwords that are easy to guess. CrackLib performs
several tests on passwords: it tries to generate words from a username
and gecos entry and checks those words against the password; it checks
for simplistic patterns in passwords; and it checks for the password
in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C
functions. CrackLib is not a replacement for a passwd program; it must
be used in conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you will also want to install the cracklib-dicts package.

%package devel
Summary: 	cracklib development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
#if [ $1 -eq 1 ]; then
#    echo $(hostname) >>/usr/share/dict/cracklib-extra-words &>/dev/null || :
#fi
#create-cracklib-dict /usr/share/dict/cracklib-words /usr/share/dict/cracklib-extra-words &>/dev/null || :
ldconfig

%postun
ldconfig

%package dicts
Summary: 	The standard CrackLib dictionaries.
Group: 		System/Base
#BuildRequires: words >= 2-13

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words. Cracklib-dicts also
contains the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%prep
%setup -q
#%patch0 -p1 -b .suffix
#cp lib/packer.h lib/packer.h.in
#%patch1 -p1 -b .inttypes
#%patch2 -p1 -b .docstring
#autoreconf
mkdir cracklib-dicts
for dict in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} \
            %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} \
            %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
            %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
            %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} %{SOURCE34} \
            %{SOURCE35} %{SOURCE36} %{SOURCE37} %{SOURCE1}
do
        cp -fv ${dict} cracklib-dicts/
done
chmod +x util/cracklib-format

%build
%configure --with-pic --with-python --with-default-dict=%{dictpath} --disable-static PYTHON=/usr/bin/python%{PYVER}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
./util/cracklib-format cracklib-dicts/* | \
./util/cracklib-packer $RPM_BUILD_ROOT/%{dictpath}
./util/cracklib-format $RPM_BUILD_ROOT/%{dictdir}/cracklib-small | \
./util/cracklib-packer $RPM_BUILD_ROOT/%{dictdir}/cracklib-small
rm -f $RPM_BUILD_ROOT/%{dictdir}/cracklib-small
sed s,/usr/lib/cracklib_dict,%{dictpath},g lib/crack.h > $RPM_BUILD_ROOT/%{_includedir}/crack.h
ln -s cracklib-format $RPM_BUILD_ROOT/%{_sbindir}/mkdict
ln -s cracklib-packer $RPM_BUILD_ROOT/%{_sbindir}/packer
touch $RPM_BUILD_ROOT/top

toprelpath=..
touch $RPM_BUILD_ROOT/top
while ! test -f $RPM_BUILD_ROOT/%{_libdir}/$toprelpath/top ; do
        toprelpath=../$toprelpath
done
rm -f $RPM_BUILD_ROOT/top
if test %{dictpath} != %{_libdir}/cracklib_dict ; then
ln -s $toprelpath%{dictpath}.hwm $RPM_BUILD_ROOT/%{_libdir}/cracklib_dict.hwm
ln -s $toprelpath%{dictpath}.pwd $RPM_BUILD_ROOT/%{_libdir}/cracklib_dict.pwd
ln -s $toprelpath%{dictpath}.pwi $RPM_BUILD_ROOT/%{_libdir}/cracklib_dict.pwi
fi
rm -f $RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/cracklibmodule.*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcrack.la

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libcrack.so.*
%{python_sitelib}/_cracklibmodule.la
%{python_sitelib}/_cracklibmodule.so
%{python_sitelib}/cracklib.py
%{python_sitelib}/cracklib.pyc
%{python_sitelib}/cracklib.pyo

%dir %{_datadir}/cracklib
%{_datadir}/cracklib/cracklib.magic
%{_sbindir}/*cracklib*

%files dicts
%defattr(-,root,root)
%dir %{_datadir}/cracklib
%{_datadir}/cracklib/pw_dict.*
%{_datadir}/cracklib/cracklib-small.*
%{_libdir}/cracklib_dict.*
%{_sbindir}/mkdict
%{_sbindir}/packer

%files devel
%{_includedir}/crack.h
%{_includedir}/packer.h
%{_libdir}/libcrack.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.17-1
- Version Update
* Sat Nov 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.8.13-1
- Version Update
- updated words library to 20080507
* Sat Jan 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.12-2
- updated words library to 20080401 
- reformated dictionaries 
- split includefiles to seperate devel package
* Sat Jan 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.12-1
- Version Update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.8.9-1
- Version Update
* Fri Dec 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.6-3
- Removed heimdal Patch, changed build process
* Fri Dec 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.6-2
- Altered Build process
* Sun Dec 04 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.8.6-1
- Version Update
* Sun Aug 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.3-1
- Initial Release
